libcamera::ThreadData Class Reference

Thread-local internal data. More...

## Static Public Member Functions

static ThreadData * | current ()
| Retrieve thread-local internal data for the current thread. More...

## Friends

class | Thread
class | ThreadMain

## Detailed Description

Thread-local internal data.

## Member Function Documentation

## current()

ThreadData * libcamera::ThreadData::current | ( |  | ) |

static

Retrieve thread-local internal data for the current thread.

Returns
  The thread-local internal data for the current thread

The documentation for this class was generated from the following file:

- src/libcamera/thread.cpp